Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 158939

Summary: Isn't a PIE
Product: [Fedora] Fedora Reporter: Dave Jones <davej>
Component: auditAssignee: Steve Grubb <sgrubb>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: pfrields
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-07-05 20:27:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 150222    

Description Dave Jones 2005-05-26 23:45:05 UTC
Daemons really should be built as PIE where possible, by passing -fpie -pie
compile flags.

lsexec shows auditd isn't built this way yet.

Comment 1 Steve Grubb 2005-05-27 12:39:09 UTC
I used to have it PIE, but debugging was not easy. Development work is nearly
over, I'll keep this open a little while longer to remind me to fix it. BTW,
there is nearly no risk for this daemon. Only root can run auditd & auditd only
takes input from /etc/audit.conf which is owned by root. It performs checks on
that file to make sure permissions are sane before reading anything from it. It
also reads from netlink only if sender is kernel.

Comment 2 Steve Grubb 2005-06-14 15:29:37 UTC
audit 0.9.4 is a pie executable. I don't have relro, is that needed?

Comment 3 Dave Jones 2005-07-05 20:27:17 UTC
(16:28:01:root@nemesis:~)# lsexec --all  |  grep aud
auditd, PID 26848: PIE, execshield enabled


Looks fixed :-)